program dbf_float_demo;
uses
  SysUtils, dbf;
var
  tbl: TDbf;
  s: String;
begin
  tbl := TDbf.Create(nil);
  try
    tbl.FilePath := ExtractFilePath(ParamStr(0));
    tbl.TableName := 'sampleDBF.dbf';
    tbl.Open;
    s := tbl.FieldByName('amt2').AsString;
    WriteLn(s);
  finally
    tbl.Free;
  end;

  ReadLn;
end.

{
content of the 1st record as accessed by TDbfFile.GetFieldDataFromDef

1       20210612should be 12345.67 and 201.14                 12345.67                   201.14'#$0D#$F0#$AD#$BA#$0D#$F0#$AD#$BA#$0D#$F0#$AD#$BA#$0D'𭺁'#$C0'i'
|       |       |                             |                       |                        |
    8       8                 30                           24                     25

}

