unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, DB, Forms, Controls, Graphics, Dialogs, DBGrids, dbf;

type

  { TForm1 }

  TForm1 = class(TForm)
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    procedure FormCreate(Sender: TObject);
  private
    DBF: TDbf;

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  dbf := TDbf.Create(self);
  dbf.FilePath := Application.Location;
  dbf.TableName := 'sampleDBF.dbf';
  dbf.Open;
  DataSource1.Dataset := dbf;
  DBGrid1.Columns[3].DisplayFormat := '0.##';
  DBGrid1.Columns[4].DisplayFormat := '0.###';
end;

end.

